Package chatapp.Protocol

# Class RunnerEcouteUDP

java.lang.Object
java.lang.Thread
chatapp.Protocol.RunnerEcouteUDP

All Implemented Interfaces:
  `java.lang.Runnable`

    public class RunnerEcouteUDP
    extends java.lang.Thread

Classe permettant de gérer les multiples connexions en UDP.
Extend la classe Thread.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Thread

`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

## Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`RunnerEcouteUDP​(ChatApp app)` | Constructeur

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `run()` | Méthode qui vient ecraser la méthode run de la classe Thread.

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RunnerEcouteUDP

public RunnerEcouteUDP​(ChatApp app)
Constructeur

Parameters:
  `app` - Un RunnerEcouteUDP est toujours associé à une application de Chat

## Method Details

### run

public void run()
Méthode qui vient ecraser la méthode run de la classe Thread. La méthode 'ecouteUDP' est appelé.

Specified by:
  `run` in interface `java.lang.Runnable`
Overrides:
  `run` in class `java.lang.Thread`